{
    "name": "pedrodavide/instagram-php",
    "description": "Instagram API",
    "type": "library",
    "license": [
        "RPL-1.5",
        "proprietary"
    ],
    "authors": [
        {
            "name": "pedrodavide",
            "email": "pedro.davide@salesengineonline.com"
        }
    ],
    "autoload": {
        "psr-4": {
            "InstagramAPI\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "InstagramAPI\\Tests\\": "tests/"
        }
    },
    "require": {
        "php": ">=5.6",
        "lazyjsonmapper/lazyjsonmapper": "^1.6.1",
        "guzzlehttp/guzzle": "^6.2",
        "ext-curl": "*",
        "ext-mbstring": "*",
        "ext-gd": "*",
        "ext-exif": "*",
        "ext-zlib": "*",
        "ext-bcmath": "*",
        "react/event-loop": "^0.4.3",
        "react/promise": "^2.5",
        "react/socket": "^0.8",
        "binsoul/net-mqtt-client-react": "^0.3.2",
        "clue/socks-react": "^0.8.2",
        "clue/http-proxy-react": "^1.1.0",
        "psr/log": "^1.0",
        "valga/fbns-react": "^0.1.8",
        "symfony/process": "^3.4|^4.0",
        "winbox/args": "1.0.0"
    },
    "suggest": {
        "ext-event": "Installing PHP's native Event extension enables faster Realtime class event handling.",
        "ext-pdo": "Installing ext-pdo allows for Postgres settings storage.",
        "ext-redis": "Installing ext-pdo allows for Redis settings storage."
    },
    "require-dev": {
        "react/http": "^0.7.2",
        "friendsofphp/php-cs-fixer": "^2.11.0",
        "monolog/monolog": "^1.23",
        "phpunit/phpunit": "^5.7 || ^6.2"
    },
    "scripts": {
        "codestyle": [
            "lazydoctor -c composer.json -pfo",
            "php-cs-fixer fix --config=.php_cs.dist --allow-risky yes",
            "php devtools/checkStyle.php x"
        ],
        "test": [
            "phpunit tests"
        ]
    }
}
